.edit-button {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #006400;
    color: #fff;
    border: none;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.164);
    cursor: pointer;
    transition-duration: 0.3s;
    overflow: hidden;
    position: relative;
    text-decoration: none !important;
}

.edit-svgIcon {
    width: 17px;
    transition-duration: 0.3s;
}

.edit-svgIcon path {
    fill: white;
}

.edit-button:hover {
    width: 120px;
    border-radius: 50px;
    transition-duration: 0.3s;
    background-color: #006400;
    align-items: center;
}

.edit-button:hover .edit-svgIcon {
    width: 20px;
    transition-duration: 0.3s;
    transform: translateY(60%);
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
}

.edit-button::before {
    display: none;
    content: "Editar";
    color: white;
    transition-duration: 0.3s;
    font-size: 2px;
}

.edit-button:hover::before {
    display: block;
    padding-right: 10px;
    font-size: 13px;
    opacity: 1;
    transform: translateY(0px);
    transition-duration: 0.3s;
}

.delete-button {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #006400;
    color: #fff;
    border: none;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.164);
    cursor: pointer;
    transition-duration: 0.3s;
    overflow: hidden;
    position: relative;
}

.delete-svgIcon {
    width: 15px;
    transition-duration: 0.3s;
}

.delete-svgIcon path {
    fill: white;
}

.delete-button:hover {
    width: 120px;
    border-radius: 50px;
    transition-duration: 0.3s;
    background-color: #006400;
    align-items: center;
}

.delete-button:hover .delete-svgIcon {
    width: 20px;
    transition-duration: 0.3s;
    transform: translateY(60%);
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
}

.delete-button::before {
    display: none;
    content: "Desativar";
    color: white;
    transition-duration: 0.3s;
    font-size: 2px;
}

.delete-button:hover::before {
    display: block;
    padding-right: 10px;
    font-size: 13px;
    opacity: 1;
    transform: translateY(0px);
    transition-duration: 0.3s;
}

/* EXCLUIR */

.excluir-button {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #006400;
    color: #fff;
    border: none;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.164);
    cursor: pointer;
    transition-duration: 0.3s;
    overflow: hidden;
    position: relative;
}

.excluir-svgIcon {
    width: 15px;
    transition-duration: 0.3s;
}

.excluir-svgIcon path {
    fill: white;
}

.excluir-button:hover {
    width: 120px;
    border-radius: 50px;
    transition-duration: 0.3s;
    background-color: #006400;
    align-items: center;
}

.excluir-button:hover .excluir-svgIcon {
    width: 20px;
    transition-duration: 0.3s;
    transform: translateY(60%);
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    transform: rotate(360deg);
}

.excluir-button::before {
    display: none;
    content: "Excluir";
    color: white;
    transition-duration: 0.3s;
    font-size: 2px;
}

.excluir-button:hover::before {
    display: block;
    padding-right: 10px;
    font-size: 13px;
    opacity: 1;
    transform: translateY(0px);
    transition-duration: 0.3s;
}